
%global debug_package %{nil}
%global python3_pkgversion 3.11
%global pypi_version 0.1.3
%global pypi_name setuptools-twine
%global srcname setuptools_twine

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1
Summary:        Adds twine_check and twine_upload commands to setuptools.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/cchurch/setuptools-twine
Source:         %{pypi_source %pypi_name}

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This package adds twine_check and twine_upload commands to setuptools. These commands are equivalent to running twine check or twine upload, but always operate on the latest source distribution and wheel generated by setup.py sdist and setup.py bdist_wheel.}

%description %_description

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

Requires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-twine

%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files '*' +auto


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{pypi_version}.dist-info



%changelog
* Tue Feb 18 2025 Carlos Heiras <carlos.heiras@oracle.com> - 0.1.3-1
- OLAM-695 Initial release
